import { BaseService, Service } from '@/cool';
import { baseUrl } from '@/config/env';
import store from '@/store';

@Service('shop')
export class LevelService extends BaseService {
	downloadGatheringCode(id) {
		return baseUrl + `/shop/download-gathering-code?id=${id}&token=${store.state.user.token}`;
	}

	downloadApplyMemberCode(id) {
		return (
			baseUrl + `/shop/download-apply-member-code?id=${id}&token=${store.state.user.token}`
		);
	}
}

export default new LevelService();
